This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1025784 - vnc-ltsp login screen does not prompt for password
vnc-ltsp login screen does not prompt for password
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
19
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 10:56 EDT by Louis van Dyk
Modified: 2015-02-17 13:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 13:59:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Louis van Dyk 2013-11-01 10:56:13 EDT
Description of problem:
I use vncviewer to connect to a logon session.  Since F19 this no longer works, even after multiple updates.
vnc-ltsp-config-4.0-11.fc19.noarch is installed with xinetd and tigervnc-server which makes this work.

When I open the session, I get the gray screen with all the usernames defined.  I select one and the screen goes gray with the Fedora Logo at the bottom and the Toolbar at the top with the clock, the assistance icon, the volume icon and the power icon.  All os the toolbar items can be clicked and respond.  But NO PASSWORD REQUEST is presented.

Alternatively, I ignore the list of usernames and click "Not Listed" and enter a username.  When I press enter or click next, the message "Authentication Error" appears in Orange - and I never get prompted for a password.

At the point where I press enter on the username, the following errors appear in /var/log/messages:

Nov  1 16:19:50 mrtg dbus-daemon[1052]: dbus[1052]: [system] Activating via systemd: service name='net.reactivated.Fprint' unit='fprintd.service'
Nov  1 16:19:50 mrtg dbus[1052]: [system] Activating via systemd: service name='net.reactivated.Fprint' unit='fprintd.service'
Nov  1 16:19:50 mrtg systemd[1]: Starting Fingerprint Authentication Daemon...
Nov  1 16:19:50 mrtg dbus-daemon[1052]: dbus[1052]: [system] Successfully activated service 'net.reactivated.Fprint'
Nov  1 16:19:50 mrtg dbus[1052]: [system] Successfully activated service 'net.reactivated.Fprint'
Nov  1 16:19:50 mrtg fprintd[26508]: Launching FprintObject
Nov  1 16:19:50 mrtg fprintd[26508]: ** Message: D-Bus service launched with name: net.reactivated.Fprint
Nov  1 16:19:50 mrtg fprintd[26508]: ** Message: entering main loop
Nov  1 16:19:50 mrtg systemd[1]: Started Fingerprint Authentication Daemon.
Nov  1 16:19:51 mrtg gnome-session[26292]: JS ERROR: !!!   Failed to open reauthentication channel
Nov  1 16:19:51 mrtg gnome-session[26292]: JS ERROR: !!!     message = '"GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._gdm_5fdisplay_5ferror.Code2: Error getting seat id from systemd: No such file or directory"'
Nov  1 16:19:51 mrtg gnome-session[26292]: JS ERROR: !!!     fileName = 'undefined'
Nov  1 16:19:51 mrtg gnome-session[26292]: JS ERROR: !!!     lineNumber = 'undefined'
Nov  1 16:19:51 mrtg gnome-session[26292]: JS ERROR: !!!     stack = 'undefined'
Nov  1 16:19:51 mrtg gnome-session[26292]: JS ERROR: !!!   Exception was: TypeError: this._userVerifier is undefined
Nov  1 16:19:51 mrtg gnome-session[26292]: JS ERROR: !!!     message = '"this._userVerifier is undefined"'
Nov  1 16:19:51 mrtg gnome-session[26292]: JS ERROR: !!!     fileName = '"/usr/share/gnome-shell/js/gdm/util.js"'
Nov  1 16:19:51 mrtg gnome-session[26292]: JS ERROR: !!!     lineNumber = '436'
Nov  1 16:19:51 mrtg gnome-session[26292]: JS ERROR: !!!     stack = '"(false)@/usr/share/gnome-shell/js/gdm/util.js:436
Nov  1 16:19:51 mrtg gnome-session[26292]: wrapper(false)@/usr/share/gjs-1.0/lang.js:213
Nov  1 16:19:51 mrtg gnome-session[26292]: ("Failed to open reauthentication channel",[object GObject_Boxed])@/usr/share/gnome-shell/js/gdm/util.js:249
Nov  1 16:19:51 mrtg gnome-session[26292]: wrapper("Failed to open reauthentication channel",[object GObject_Boxed])@/usr/share/gjs-1.0/lang.js:213
Nov  1 16:19:51 mrtg gnome-session[26292]: ([object GObject_Object],[object GObject_Object])@/usr/share/gnome-shell/js/gdm/util.js:265
Nov  1 16:19:51 mrtg gnome-session[26292]: wrapper([object GObject_Object],[object GObject_Object])@/usr/share/gjs-1.0/lang.js:213
Nov  1 16:19:51 mrtg gnome-session[26292]: "'
Nov  1 16:19:51 mrtg gnome-session[26292]: JS LOG: Ignored exception from dbus method: Gio.DBusError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.realmd was not provided by any .service files





Version-Release number of selected component (if applicable):

gdm-3.8.4-2.fc19.i686
gdm-libs-3.8.4-2.fc19.i686
gnome-js-common-0.1.2-7.fc19.noarch
gnome-session-3.8.4-1.fc19.i686
gnome-session-xsession-3.8.4-1.fc19.i686
gnome-shell-3.8.4-2.fc19.i686
libgnome-2.32.1-6.fc19.i686

gtk-vnc-0.5.2-1.fc19.i686
gtk-vnc2-0.5.2-1.fc19.i686
gvnc-0.5.2-1.fc19.i686
tigervnc-1.3.0-7.fc19.i686
tigervnc-icons-1.3.0-7.fc19.noarch
tigervnc-license-1.3.0-7.fc19.noarch
tigervnc-server-1.3.0-7.fc19.i686
tigervnc-server-minimal-1.3.0-7.fc19.i686
tigervnc-server-module-1.3.0-7.fc19.i686
vnc-ltsp-config-4.0-11.fc19.noarch
xinetd-2.3.15-6.fc19.i686

dbus-1.6.12-1.fc19.i686
dbus-c++-0.5.0-0.16.20090203git13281b3.fc19.i686
dbus-glib-0.100-5.fc19.i686
dbus-libs-1.6.12-1.fc19.i686
dbusmenu-qt-0.9.2-4.fc19.i686
dbus-python-1.1.1-5.fc19.i686
dbus-x11-1.6.12-1.fc19.i686
fprintd-0.5.0-1.fc19.i686
fprintd-pam-0.5.0-1.fc19.i686
libfprint-0.5.1-1.fc19.i686
python-slip-dbus-0.4.0-1.fc19.noarch
qt-qdbusviewer-4.8.5-8.fc19.i686
systemd-204-16.fc19.i686
systemd-libs-204-16.fc19.i686
systemd-python-204-16.fc19.i686
systemd-sysv-204-16.fc19.i686



How reproducible:
Every time, on multiple servers, i686 and x86_64.

Steps to Reproduce:
1.  install vnc-ltsp and configure
2.  open vncviewer to the box
3.  select a username, or enter one and press enter

Actual results:
As described above - no login prompt or "Authentication Error" Message.  Sessions remains at that point.  It's not inactive, as the toolbar items respond.

Expected results:
I should be prompted for a password, and then a Gnome Desktop should be presented via VNC.

Additional info:
This worked perfectly Fedora 17, and I *think* F18 too.
Comment 1 Jerry C 2014-01-09 00:49:02 EST
Same issue.

This broke for me when I upgraded from F17 to F18.  A further upgrade to F19 and still see the issue.
Comment 2 Jerry C 2014-01-09 01:36:12 EST
This bug is a duplicate of 988030
Comment 3 Fedora End Of Life 2015-01-09 15:25:25 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 13:59:01 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.